summaryrefslogtreecommitdiffstats
path: root/tools/regression/geom_raid3/test-1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/regression/geom_raid3/test-1.sh')
-rw-r--r--tools/regression/geom_raid3/test-1.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/tools/regression/geom_raid3/test-1.sh b/tools/regression/geom_raid3/test-1.sh
new file mode 100644
index 0000000..7c116ad
--- /dev/null
+++ b/tools/regression/geom_raid3/test-1.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# $FreeBSD$
+
+name="test"
+base=`basename $0`
+us0=45
+us1=`expr $us0 + 1`
+us2=`expr $us0 + 2`
+
+mdconfig -a -t malloc -s 1M -u $us0 || exit 1
+mdconfig -a -t malloc -s 2M -u $us1 || exit 1
+mdconfig -a -t malloc -s 3M -u $us2 || exit 1
+
+graid3 label $name /dev/md${us0} /dev/md${us1} /dev/md${us2} || exit 1
+
+# Size of created device should be 1MB - 512b.
+
+mediasize=`diskinfo /dev/raid3/${name} | awk '{print $3}'`
+if [ $mediasize -eq 2096128 ]; then
+ echo "PASS"
+else
+ echo "FAIL"
+fi
+sectorsize=`diskinfo /dev/raid3/${name} | awk '{print $2}'`
+if [ $sectorsize -eq 1024 ]; then
+ echo "PASS"
+else
+ echo "FAIL"
+fi
+
+graid3 stop $name
+mdconfig -d -u $us0
+mdconfig -d -u $us1
+mdconfig -d -u $us2
OpenPOWER on IntegriCloud